ANNOUNCE: gnomemm 1.3.5

*** gnomemm

The libgnome*mm libraries wrap the GNOME2 libraries for C++, for use
with gtkmm2. They are collectively known as gnomemm. This release should work 
with the 'GNOME 2.0 Desktop Beta 5' release. You will need the latest gtkmm2

libgnomeuimm wraps libgnomeui for C++.
libgnomecanvasmm wraps libgnomecanvas for C++.
libglademm wraps libglade for C++
libgnomemm wraps libgnome for C++.
gconfmm wraps GConf for C++.

We have also provided gnomemm as one umbrella package, gnomemm-all, for your 
convenience. This is experimental.

*** Changes:

libgnomemm 1.3.3:

* Generated sources now distributed.

gconfmm 1.3.3:

* Generated sources are now distributed.
* Client now uses namespaced enums.

libglademm 1.3.0:

* First version.

libgnomecanvasmm 1.3.5:

* Generated sources now distributed.

libgnomeuimm 1.3.5:

* IconList uses namespaced enums
* IconList examples now build.
* Added wrappers for Druid widgets.
* Generated sources are now distributed.

*** Download

You will need the latest unstable gtkmm2, available from the same place.

*** Installation:

The gnomemm libraries should be built and installed in this order:
libgnomemm, gconfmm, libgnomecanvasmm, libgnomeuimm.

Murray Cumming
murrayc usa net

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]